CFPRIME PSWITS                                                          PSWITS      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE PSWITS(IUY)                                            PSWITS      3
CD                                                                      PSWITS      4
CD    TO PRINT A SWITCHING SUMMARY FILE AT THE USER'S REQUEST.          PSWITS      5
CD                                                                      PSWITS      6
      INCLUDE 'PARX.INS'                                                PSWITS      7
      INCLUDE 'CNFLAG.INS'                                              PSWITS      8
      INCLUDE 'CNPT.INS'                                                PSWITS      9
      INCLUDE 'CNIPTR.INS'                                              PSWITS     10
      INCLUDE 'CNB0.INS'                                                PSWITS     11
      INCLUDE 'CNB1.INS'                                                PSWITS     12
      INCLUDE 'CNB4.INS'                                                PSWITS     13
      INCLUDE 'CNB19.INS'                                               PSWITS     14
      INCLUDE 'CNPARX.INS'                                              PSWITS     15
      INCLUDE 'CNNNEW.INS'                                              PSWITS     16
      INCLUDE 'CNLFDA.INS'                                              PSWITS     17
      INCLUDE 'CNAUTO.INS'                                              PSWITS     18
      INCLUDE 'CNMON.INS'                                               PSWITS     19
C      INCLUDE 'CNLKN1.INS/LIST'                                        PSWITS     20
      INCLUDE 'CNSTN.INS'                                               PSWITS     21
      INCLUDE 'CNUNIT.INS'                                              PSWITS     22
      INCLUDE 'CNREC1.INS'                                              PSWITS     23
      INCLUDE 'UDCF.INS'                                                PSWITS     24
C                                                                       PSWITS     25
      INTEGER  LISMON(NPL)                                              PSWITS     26
      EQUIVALENCE (BUDAT(1),LISMON(1))                                  PSWITS     27
      CHARACTER*2 ICKT,ISCKT                                            PSWITS     28
      DIMENSION KKR1(1),KKR2(1),KKR3(1),KKR4(1),KKR5(1),XKR5(1)         PSWITS     29
      EQUIVALENCE (KKR5(1),ISPEED),(XKR5(1),ERTOL)                      PSWITS     30
     1,(KKR1(1),LFNO),(KKR2(1),NT),(KKR3(1),NPKPR),(KKR4(1),IALPT)      PSWITS     31
      CHARACTER CARD*132,IBLANK*12                                      PSWITS     32
      CHARACTER*3 IEND                                                  PSWITS     33
      DIMENSION IGROUP(6)                                               PSWITS     34
C                                                                       PSWITS     35
      INCLUDE 'CNISOC.INS'                                              PSWITS     36
C                                                                       PSWITS     37
      DATA IEND/'ESC'/                                                  PSWITS     38
      DATA IBLANK/'            '/                                       PSWITS     39
      DATA IGROUP/29,32,36,46,48,52/                                    PSWITS     40
C                                                                       PSWITS     41
      LDEB=.FALSE.                                                      PSWITS     42
C                                                                       PSWITS     43
      TSTART=0.                                                         PSWITS     44
      NODES=0                                                           PSWITS     45
      IZV=0                                                             PSWITS     46
      REWIND ISWF                                                       PSWITS     47
      READ (ISWF,2000) (ISWTEX(L),L=1,20)                               PSWITS     48
      READ (ISWF,2030) XCMMX,TL,HN,INDIVX,KNDIVX,IPLTK,IPPK,IRPTK,      PSWITS     49
     +                 IREDL                                            PSWITS     50
      IF(XCMMX.LT.0.05) XCMMX=0.05                                      PSWITS     51
      WRITE(IUY,2010) LFNO,ICASE,(ITITLE(1,LK),LK=1,20),LDATE           PSWITS     52
     &,(ISWTEX(LL),LL=1,20)                                             PSWITS     53
      WRITE(IUY,2020) XCMMX,TL,HN,INDIVX,KNDIVX                         PSWITS     54
 200  CONTINUE                                                          PSWITS     55
      IDONE=1                                                           PSWITS     56
      ISGP=0                                                            PSWITS     57
      ISW=0                                                             PSWITS     58
      JPRO=0                                                            PSWITS     59
 210  READ(ISWF,'(A132)') CARD                                          PSWITS     60
      READ (CARD,2230) ITYP                                             PSWITS     61
      ISW=ISW+1                                                         PSWITS     62
      IF(ITYP.NE.IEND)GOTO 210                                          PSWITS     63
C                                                                       PSWITS     64
C  READ NEXT SWITCHING TIME,NEW TIME STEP,PRINT RATIO                   PSWITS     65
C                                                                       PSWITS     66
      READ(ISWF,'(A132)') CARD                                          PSWITS     67
      READ (CARD,2070) TC,HSTEP,INDIVY,KNDIVY,IPLTN,IPKNW,INTMTH,IRPTN, PSWITS     68
     +                 IREDL1                                           PSWITS     69
      BACKSPACE ISWF                                                    PSWITS     70
      IF(INTMTH.EQ.0) INTMTH=1                                          PSWITS     71
      INDIV=INDIVX                                                      PSWITS     72
      IF(INDIVY.NE.0) INDIV=INDIVY                                      PSWITS     73
      KNDIV=KNDIVX                                                      PSWITS     74
      IF(KNDIVY.NE.0) KNDIV=KNDIVY                                      PSWITS     75
C                                                                       PSWITS     76
C  CHANGE HN AND IPPR ONLY IF NEW VALUES ARE NOW READ                   PSWITS     77
C                                                                       PSWITS     78
      IF(HSTEP.GT.1.E-5) HN=HSTEP                                       PSWITS     79
      IF(IPKNW.NE.0) IPPK=IPKNW                                         PSWITS     80
      IF(IPLTN.NE.0) IPLTK=IPLTN                                        PSWITS     81
      IF(IRPTN.NE.0) IRPTK=IRPTN                                        PSWITS     82
      TNEXT=TC                                                          PSWITS     83
      IF(TNEXT.GT.88888.0) TNEXT=TL                                     PSWITS     84
      WRITE(IUY,2040)                                                   PSWITS     85
      WRITE(IUY,2050) TSTART,TNEXT,HN                                   PSWITS     86
C  -  SIMULATE THE NETWORK ITERATION CONTROL POINTER FOR PRINTING       PSWITS     87
C      IF((TNEXT-TSTART).LE.PNLI)THEN                                   PSWITS     88
C        LIDUMP=0                                                       PSWITS     89
C      ELSE                                                             PSWITS     90
C        LIDUMP=1                                                       PSWITS     91
C      ENDIF                                                            PSWITS     92
C                                                                       PSWITS     93
      TSTART=TNEXT                                                      PSWITS     94
      WRITE(IUY,2420) IPLTK,IPPK,IRPTK,IREDL                            PSWITS     95
      IREDL=IREDL1                                                      PSWITS     96
      WRITE(IUY,2060) INDIV,KNDIV,INTMTH                                PSWITS     97
      IF(ISW.NE.1)GOTO 220                                              PSWITS     98
      BACKSPACE ISWF                                                    PSWITS     99
      READ(ISWF,2000) ITYP                                              PSWITS    100
      GOTO 1000                                                         PSWITS    101
 220  CONTINUE                                                          PSWITS    102
      ISGP=ISGP+1                                                       PSWITS    103
      IF(ISGP.GT.6.OR.IDONE.EQ.ISW)GOTO 1000                            PSWITS    104
      IKEY=0                                                            PSWITS    105
      DO 230 I=1,ISW                                                    PSWITS    106
      BACKSPACE ISWF                                                    PSWITS    107
 230  CONTINUE                                                          PSWITS    108
      IPRO=JPRO+1                                                       PSWITS    109
      JPRO=IGROUP(ISGP)                                                 PSWITS    110
 240  READ(ISWF,'(A132)') CARD                                          PSWITS    111
      READ (CARD,2230) ITYP                                             PSWITS    112
      IF(ITYP.EQ.IEND)GOTO 220                                          PSWITS    113
      DO 250 I=IPRO,JPRO                                                PSWITS    114
      IF(ITYP.EQ.ISOC(I))GOTO 260                                       PSWITS    115
 250  CONTINUE                                                          PSWITS    116
      GOTO 240                                                          PSWITS    117
 260  JTYP=I-IPRO+1                                                     PSWITS    118
      IKEY=IKEY+1                                                       PSWITS    119
      IDONE=IDONE+1                                                     PSWITS    120
C            1  29  32  36  46  48                                      PSWITS    121
C           LI  LD  TH  GR  IM  DF                                      PSWITS    122
      GOTO (750,670,720,270,470,610), ISGP                              PSWITS    123
 270  CONTINUE                                                          PSWITS    124
      IF(IKEY.EQ.1) THEN                                                PSWITS    125
      WRITE(IUY,2080)                                                   PSWITS    126
      ENDIF                                                             PSWITS    127
C                                                                       PSWITS    128
C   GENERATION SYSTEM CHANGE                                            PSWITS    129
C                                                                       PSWITS    130
      READ (CARD,2240) ITYP,IPBNO,IMACH,ICKT,XDLT                       PSWITS    131
      NLFI=NOLD(IPBNO)                                                  PSWITS    132
      IPBNO3=IPBNO*3                                                    PSWITS    133
C                                                                       PSWITS    134
C            GR  GM GFD  PR  PM  VR  OF  FV  SR TEB                     PSWITS    135
      GOTO (450,440,460,420,430,290,400,410,280,285), JTYP              PSWITS    136
 280  CONTINUE                                                          PSWITS    137
C                                                                       PSWITS    138
C   ITYP=SR . . . REMOVING STABILIZER                                   PSWITS    139
C                                                                       PSWITS    140
      WRITE(IUY,2290) ITYP,NLFI,INAME(IPBNO3-2),INAME(IPBNO3-1)         PSWITS    141
     &,INAME(IPBNO3),ICKT                                               PSWITS    142
      GOTO 240                                                          PSWITS    143
 285  CONTINUE                                                          PSWITS    144
C                                                                       PSWITS    145
C   ITYP=TEB . . . TRANSIENT EXCITATION BOOSTING                        PSWITS    146
C                                                                       PSWITS    147
      WRITE(IUY,2450) ITYP,NLFI,INAME(IPBNO3-2),INAME(IPBNO3-1)         PSWITS    148
     &,INAME(IPBNO3),ICKT                                               PSWITS    149
      GOTO 240                                                          PSWITS    150
 290  CONTINUE                                                          PSWITS    151
C                                                                       PSWITS    152
C   ITYP=VR . . . AVR REFERENCE CHANGED                                 PSWITS    153
C                                                                       PSWITS    154
      WRITE(IUY,2270) ITYP,NLFI,INAME(IPBNO3-2),INAME(IPBNO3-1)         PSWITS    155
     &,INAME(IPBNO3),ICKT,XDLT                                          PSWITS    156
      GOTO 240                                                          PSWITS    157
 400  CONTINUE                                                          PSWITS    158
C                                                                       PSWITS    159
C   ITYP=OF . . . OPEN FIELD CIRCUIT THROUGH RESISTOR                   PSWITS    160
C                                                                       PSWITS    161
      WRITE(IUY,2280) ITYP,NLFI,INAME(IPBNO3-3),INAME(IPBNO3-1)         PSWITS    162
     &,INAME(IPBNO3),ICKT,XDLT                                          PSWITS    163
      GOTO 240                                                          PSWITS    164
 410  CONTINUE                                                          PSWITS    165
C                                                                       PSWITS    166
C   ITYP=FV. . . FIELD VOLTAGE CHANGE                                   PSWITS    167
C                                                                       PSWITS    168
      WRITE(IUY,2300) ITYP,NLFI,INAME(IPBNO3-2),INAME(IPBNO3-1)         PSWITS    169
     &,INAME(IPBNO3),ICKT,XDLT                                          PSWITS    170
      GOTO 240                                                          PSWITS    171
 420  CONTINUE                                                          PSWITS    172
C                                                                       PSWITS    173
C   ITYP=PR . . . PRIME MOVER REF(XDLREF) CHANGE                        PSWITS    174
C                                                                       PSWITS    175
      WRITE(IUY,2250) ITYP,NLFI,INAME(IPBNO3-2),INAME(IPBNO3-1)         PSWITS    176
     &,INAME(IPBNO3),ICKT,XDLT                                          PSWITS    177
      GOTO 240                                                          PSWITS    178
 430  CONTINUE                                                          PSWITS    179
C                                                                       PSWITS    180
C   ITYP=PM . . . MECHANICAL POWER CHANGE                               PSWITS    181
C                                                                       PSWITS    182
      WRITE(IUY,2260) ITYP,NLFI,INAME(IPBNO3-2),INAME(IPBNO3-1)         PSWITS    183
     &,INAME(IPBNO3),ICKT,XDLT                                          PSWITS    184
      GOTO 240                                                          PSWITS    185
 440  CONTINUE                                                          PSWITS    186
C                                                                       PSWITS    187
C   ITYP=GM . . . PARTIAL REJECTION                                     PSWITS    188
C                                                                       PSWITS    189
      WRITE(IUY,2320) ITYP,NLFI,INAME(IPBNO3-2),INAME(IPBNO3-1)         PSWITS    190
     &,INAME(IPBNO3),ICKT,XDLT                                          PSWITS    191
      GOTO 240                                                          PSWITS    192
 450  CONTINUE                                                          PSWITS    193
C                                                                       PSWITS    194
C   ITYP=GR . . . GENERATOR REJECTION                                   PSWITS    195
C                                                                       PSWITS    196
      WRITE(IUY,2310) ITYP,NLFI,INAME(IPBNO3-2),INAME(IPBNO3-1)         PSWITS    197
     &,INAME(IPBNO3),ICKT                                               PSWITS    198
      GOTO 240                                                          PSWITS    199
 460  CONTINUE                                                          PSWITS    200
C                                                                       PSWITS    201
C   ITYP=GFD . . .DECREASE IN MECHANICAL POWER DURING FAULT             PSWITS    202
C                                                                       PSWITS    203
      WRITE(IUY,2260) ITYP,NLFI,INAME(IPBNO3-2),INAME(IPBNO3-1)         PSWITS    204
     &,INAME(IPBNO3),ICKT,XDLT                                          PSWITS    205
      GOTO 240                                                          PSWITS    206
C                                                                       PSWITS    207
 470  CONTINUE                                                          PSWITS    208
      IF(IKEY.EQ.1)THEN                                                 PSWITS    209
      WRITE(IUY,2090)                                                   PSWITS    210
      ENDIF                                                             PSWITS    211
C                                                                       PSWITS    212
      READ(CARD,2231) ITYP,NLFI                                         PSWITS    213
C                                                                       PSWITS    214
C   SWITCHING INDUCTION MOTOR                                           PSWITS    215
C                                                                       PSWITS    216
      IPBNO=NLFI                                                        PSWITS    217
      NLFI=NOLD(IPBNO)                                                  PSWITS    218
      IMOT=NLFI                                                         PSWITS    219
      IPBNO3=3*IPBNO                                                    PSWITS    220
      GOTO (490,600), JTYP                                              PSWITS    221
 490  CONTINUE                                                          PSWITS    222
C                                                                       PSWITS    223
C   REMOVING INDUCTION MOTOR                                            PSWITS    224
C                                                                       PSWITS    225
      WRITE(IUY,2190) ITYP,IMOT,INAME(IPBNO3-2),INAME(IPBNO3-1)         PSWITS    226
     &,INAME(IPBNO3)                                                    PSWITS    227
      GOTO 240                                                          PSWITS    228
 600  CONTINUE                                                          PSWITS    229
C                                                                       PSWITS    230
C   RESTARTING INDUCTION MOTOR                                          PSWITS    231
C                                                                       PSWITS    232
      WRITE(IUY,2200) ITYP,IMOT,INAME(IPBNO3-2),INAME(IPBNO3-1)         PSWITS    233
     &,INAME(IPBNO3)                                                    PSWITS    234
      GOTO 240                                                          PSWITS    235
 610  CONTINUE                                                          PSWITS    236
      IF(IKEY.EQ.1)THEN                                                 PSWITS    237
       WRITE(IUY,2100)                                                  PSWITS    238
      ENDIF                                                             PSWITS    239
C                                                                       PSWITS    240
      READ(CARD,2230) ITYP,NLFI,NAREA,LICT,NLFJ,XREAL,XIMAG,VMG,VPHS    PSWITS    241
C                                                                       PSWITS    242
C   DC LINK CHANGES                                                     PSWITS    243
C                                                                       PSWITS    244
      KDC=NLFI                                                          PSWITS    245
      CIDES=XREAL                                                       PSWITS    246
      I1=IUQABU(KDC)                                                    PSWITS    247
      I2=IUQABU(KDC+1)                                                  PSWITS    248
      NLFR=NOLD(I1)                                                     PSWITS    249
      NLFI=NOLD(I2)                                                     PSWITS    250
      I1=I1*3                                                           PSWITS    251
      I2=I2*3                                                           PSWITS    252
      GOTO (630,660,620,650), JTYP                                      PSWITS    253
 620  CONTINUE                                                          PSWITS    254
C                                                                       PSWITS    255
C   CHANGE CIDES                                                        PSWITS    256
C                                                                       PSWITS    257
      WRITE(IUY,2140) ITYP,KDC,NLFR,INAME(I1-2),INAME(I1-1)             PSWITS    258
     &,INAME(I1),NLFI,INAME(I2-2),INAME(I2-1),INAME(I2),CIDES           PSWITS    259
      GOTO 240                                                          PSWITS    260
 630  CONTINUE                                                          PSWITS    261
C                                                                       PSWITS    262
C   REMOVING DC LINK                                                    PSWITS    263
C                                                                       PSWITS    264
C      IF(MODE1.NE.3)GOTO 640                                           PSWITS    265
C                                                                       PSWITS    266
C   SIMPLIFIED MODEL                                                    PSWITS    267
C                                                                       PSWITS    268
      WRITE(IUY,2170) ITYP,KDC,NLFR,INAME(I1-2),INAME(I1-1)             PSWITS    269
     &,INAME(I1),NLFI,INAME(I2-2),INAME(I2-1),INAME(I2)                 PSWITS    270
      GOTO 240                                                          PSWITS    271
 650  CONTINUE                                                          PSWITS    272
      WRITE(IUY,2150) ITYP,KDC,NLFR,INAME(I1-2),INAME(I1-1)             PSWITS    273
     &,INAME(I1),NLFI,INAME(I2-2),INAME(I2-1),INAME(I2)                 PSWITS    274
      GOTO 240                                                          PSWITS    275
 660  CONTINUE                                                          PSWITS    276
      IF(XREAL.LE.0.002) XREAL=0.0                                      PSWITS    277
      WRITE(IUY,2160) ITYP,KDC,NLFR,INAME(I1-2),INAME(I1-1)             PSWITS    278
     &,INAME(I1),NLFI,INAME(I2-2),INAME(I2-1),INAME(I2),XREAL           PSWITS    279
      GOTO 240                                                          PSWITS    280
 670  CONTINUE                                                          PSWITS    281
      IF(IKEY.EQ.1)THEN                                                 PSWITS    282
      WRITE(IUY,2110)                                                   PSWITS    283
      ENDIF                                                             PSWITS    284
C                                                                       PSWITS    285
      READ(CARD,2235) ITYP,NLFI,ISHUNT,PSHED,QSHED                      PSWITS    286
C                                                                       PSWITS    287
C   NON-LINEAR LOAD REPRESENTATION CHANGES                              PSWITS    288
C                                                                       PSWITS    289
C      IFOUND=0                                                         PSWITS    290
C      DO 330 I=1,NLBS                                                  PSWITS    291
C      NLF=NLDOLD(I)                                                    PSWITS    292
C      IF(NLFI.GT.N99999)GOTO 292                                       PSWITS    293
C      IF(NLFI.NE.NLF)GOTO 710                                          PSWITS    294
C      GOTO 296                                                         PSWITS    295
C292   IF(NLFI.LT.209000.AND.NAREA.NE.IBSAR(I))GOTO 710                 PSWITS    296
C      IF(NLF.LT.LICT.OR.NLF.GT.NLFJ)GOTO 710                           PSWITS    297
C296   IFOUND=1                                                         PSWITS    298
C                                                                       PSWITS    299
       NLF=NOLD(NLFI)                                                   PSWITS    300
       K=3*NLFI                                                         PSWITS    301
C           SLD RLD  TH                                                 PSWITS    302
      GOTO (680,690,700), JTYP                                          PSWITS    303
 680   CONTINUE                                                         PSWITS    304
      WRITE(IUY,2340) ITYP,NLF,ISHUNT,INAME(K-2),INAME(K-1)             PSWITS    305
     &,INAME(K),PSHED,QSHED                                             PSWITS    306
      GOTO 710                                                          PSWITS    307
C                                                                       PSWITS    308
 690  WRITE(IUY,2345) ITYP,NLF,ISHUNT,INAME(K-2),INAME(K-1)             PSWITS    309
     &,INAME(K),PSHED,QSHED                                             PSWITS    310
      GOTO 710                                                          PSWITS    311
 700  CONTINUE                                                          PSWITS    312
      VTHZH=XREAL                                                       PSWITS    313
      VTHZL=XIMAG                                                       PSWITS    314
      WRITE(IUY,2350) ITYP,VTHZH,VTHZL                                  PSWITS    315
 710  IF(NLFI.LE.N99999)GOTO 240                                        PSWITS    316
C330   CONTINUE                                                         PSWITS    317
      GOTO 240                                                          PSWITS    318
 720  CONTINUE                                                          PSWITS    319
C                                                                       PSWITS    320
      READ(CARD,2230) ITYP,NLFI,NAREA,LICT,NLFJ,XREAL                   PSWITS    321
C                                                                       PSWITS    322
      IF(IKEY.EQ.1)THEN                                                 PSWITS    323
      WRITE(IUY,2120)                                                   PSWITS    324
      ENDIF                                                             PSWITS    325
      GOTO (740,730,735,735), JTYP                                      PSWITS    326
 730  CONTINUE                                                          PSWITS    327
      IF(XREAL.LT.0.0.OR.XREAL.GT.0.0) PNLI=XREAL                       PSWITS    328
      WRITE(IUY,2360) ITYP,PNLI                                         PSWITS    329
      GOTO 240                                                          PSWITS    330
 735  CONTINUE                                                          PSWITS    331
      WRITE(IUY,2365)ITYP,XREAL                                         PSWITS    332
      GOTO 240                                                          PSWITS    333
 740  CONTINUE                                                          PSWITS    334
      IF(XREAL.LT.0.0.OR.XREAL.GT.0.0) ERTOL=XREAL                      PSWITS    335
      IF(NLFI.NE.0) MAXIT=NLFI                                          PSWITS    336
      WRITE(IUY,2370) ITYP,MAXIT,ERTOL                                  PSWITS    337
      GOTO 240                                                          PSWITS    338
 750  CONTINUE                                                          PSWITS    339
C                                                                       PSWITS    340
      READ(CARD,2400)ITYP,NLFI,NLFJ,ICKT,ISCKT,XREAL,XIMAG,VMG,VPHS,    PSWITS    341
     &              VMG1,VPHS1,NMLINE,NJSELI,TRCLSE                     PSWITS    342
C                                                                       PSWITS    343
      IF(IKEY.EQ.1)THEN                                                 PSWITS    344
      WRITE(IUY,2130)                                                   PSWITS    345
      ENDIF                                                             PSWITS    346
C                                                                       PSWITS    347
C   NETWORK CHANGES                                                     PSWITS    348
C                                                                       PSWITS    349
C                                                                       PSWITS    350
C      IF(KLFI.GT.0)GOTO 760                                            PSWITS    351
C      KK=IABS(KLFI)                                                    PSWITS    352
C      NLFI=NLAD(KK)                                                    PSWITS    353
C      NOLDI=NPAD(KK)                                                   PSWITS    354
C      IF(NOLDI.NE.0)GOTO 770                                           PSWITS    355
C      NODES=NODES+1                                                    PSWITS    356
C      NODES3=NODES*3                                                   PSWITS    357
C      READ(NNAME,2000) INAME(NODES3-2),INAME(NODES3-1),INAME(NODES3)   PSWITS    358
C      NPAD(KK)=NODES                                                   PSWITS    359
C      NOLDI=NODES                                                      PSWITS    360
C      GOTO 770                                                         PSWITS    361
C 760  CONTINUE                                                         PSWITS    362
C 770  IF(NLFJ)780,790,800                                              PSWITS    363
C 780  CONTINUE                                                         PSWITS    364
C      KK=IABS(NLFJ)                                                    PSWITS    365
C      NLFJ=NLAD(KK)                                                    PSWITS    366
C      NOLDJ=NPAD(KK)                                                   PSWITS    367
C      IF(NOLDJ.NE.0)GOTO 810                                           PSWITS    368
C      NODES=NODES+1                                                    PSWITS    369
C      NODES3=NODES*3                                                   PSWITS    370
C      READ(NNAME,2000) INAME(NODES3-2),INAME(NODES3-1),INAME(NODES3)   PSWITS    371
C      NPAD(KK)=NODES                                                   PSWITS    372
C      NOLDJ=NODES                                                      PSWITS    373
C      GOTO 810                                                         PSWITS    374
C 790  CONTINUE                                                         PSWITS    375
C      NLFJ=NLFI                                                        PSWITS    376
C      NOLDJ=NOLDI                                                      PSWITS    377
C      GOTO 810                                                         PSWITS    378
C 800  CONTINUE                                                         PSWITS    379
C                                                                       PSWITS    380
      NOLDI=NLFI                                                        PSWITS    381
      NLFI=NOLD(NLFI)                                                   PSWITS    382
C                                                                       PSWITS    383
      NOLDJ=NLFJ                                                        PSWITS    384
      IF(NLFJ.NE.0) NLFJ=NOLD(NLFJ)                                     PSWITS    385
C                                                                       PSWITS    386
      I1=NOLDI*3                                                        PSWITS    387
      I2=NOLDJ*3                                                        PSWITS    388
C                                                                       PSWITS    389
C            1   2   3   4   5   6   7   8   9  10  11  12  13  14  15  PSWITS    390
C          ALI ATR APL ABT RLI RTR RPL RBT ASL RSL DLI DTR DPL DLR DBT  PSWITS    391
      GOTO(850,870,890,850,850,870,890,850,240,890,850,870,890,860,850  PSWITS    392
C                                                                       PSWITS    393
C       16  17  18  19  20  21  22  23  24  25  26  27  28  29          PSWITS    394
C      DSL MLI MTR MPL MSL RCG FCG  ZA  ZR  YK LGF LLF LGR LLR          PSWITS    395
     &,890,850,870,890,240,880,880,830,830,830,820,820,820,820),JTYP    PSWITS    396
C                                                                       PSWITS    397
 820  CONTINUE                                                          PSWITS    398
C                                                                       PSWITS    399
C   PRINT 4 ITEMS                                                       PSWITS    400
C   ITYP=LGF,LLF,LGR,LLR                                                PSWITS    401
C                                                                       PSWITS    402
      WRITE(IUY,2210) ITYP,NLFI,INAME(I1-2),INAME(I1-1),INAME(I1),      PSWITS    403
     1NLFJ,INAME(I2-2),INAME(I2-1),INAME(I2),XREAL,XIMAG,VMG,VPHS       PSWITS    404
      GOTO 240                                                          PSWITS    405
C                                                                       PSWITS    406
 830  CONTINUE                                                          PSWITS    407
C                                                                       PSWITS    408
C   PRINT 2 ITEMS                                                       PSWITS    409
C   ITYP=ZA,XR,YK                                                       PSWITS    410
C                                                                       PSWITS    411
      WRITE(IUY,2215) ITYP,NLFI,INAME(I1-2),INAME(I1-1),INAME(I1),      PSWITS    412
     1XREAL,XIMAG                                                       PSWITS    413
      GOTO 240                                                          PSWITS    414
C                                                                       PSWITS    415
 850  CONTINUE                                                          PSWITS    416
C                                                                       PSWITS    417
C   CONVERT & PRINT 3 ITEMS                                             PSWITS    418
C   ITYP=ABT,RBT,DBT,ALI,RLI,DLI                                        PSWITS    419
C                                                                       PSWITS    420
      YMAGG=XREAL*XREAL+XIMAG*XIMAG                                     PSWITS    421
      IF(YMAGG.GE.1.0E-6)THEN                                           PSWITS    422
      XREAL=XREAL/YMAGG                                                 PSWITS    423
      XIMAG=XIMAG/YMAGG                                                 PSWITS    424
      ELSE                                                              PSWITS    425
      XREAL=0.0                                                         PSWITS    426
      XIMAG=0.0                                                         PSWITS    427
      ENDIF                                                             PSWITS    428
      WRITE(IUY,2220) ITYP,NLFI,INAME(I1-2),INAME(I1-1),INAME(I1)       PSWITS    429
     1,NLFJ,INAME(I2-2),INAME(I2-1),INAME(I2),ICKT,ISCKT,XREAL          PSWITS    430
     2,XIMAG,VMG                                                        PSWITS    431
C                                                                       PSWITS    432
      GOTO 240                                                          PSWITS    433
C                                                                       PSWITS    434
 860  CONTINUE                                                          PSWITS    435
C                                                                       PSWITS    436
C   CONVERT & PRINT 3/6 ITEMS                                           PSWITS    437
C   ITYP=DLR                                                            PSWITS    438
C                                                                       PSWITS    439
      YMAGG=XREAL*XREAL+XIMAG*XIMAG                                     PSWITS    440
      IF(YMAGG.GE.1.0E-6)THEN                                           PSWITS    441
      XREAL=XREAL/YMAGG                                                 PSWITS    442
      XIMAG=XIMAG/YMAGG                                                 PSWITS    443
      ELSE                                                              PSWITS    444
      XREAL=0.0                                                         PSWITS    445
      XIMAG=0.0                                                         PSWITS    446
      ENDIF                                                             PSWITS    447
      IF( NJSELI .EQ. 0)THEN                                            PSWITS    448
       WRITE(IUY,2225) ITYP,NLFI,INAME(I1-2),INAME(I1-1),INAME(I1)      PSWITS    449
     1 ,NLFJ,INAME(I2-2),INAME(I2-1),INAME(I2),ICKT,ISCKT,XREAL         PSWITS    450
     2 ,XIMAG,VMG,TRCLSE                                                PSWITS    451
      ELSE                                                              PSWITS    452
       WRITE(IUY,2226) ITYP,NLFI,INAME(I1-2),INAME(I1-1),INAME(I1)      PSWITS    453
     1 ,NLFJ,INAME(I2-2),INAME(I2-1),INAME(I2),ICKT,ISCKT,XREAL         PSWITS    454
     2 ,XIMAG,VMG,VPHS,VMG1,VPHS1,TRCLSE                                PSWITS    455
      ENDIF                                                             PSWITS    456
C                                                                       PSWITS    457
      GOTO 240                                                          PSWITS    458
C                                                                       PSWITS    459
 870  CONTINUE                                                          PSWITS    460
C                                                                       PSWITS    461
C   CONVERT & PRINT 4 ITEMS                                             PSWITS    462
C   ITYP=TA,TR                                                          PSWITS    463
C                                                                       PSWITS    464
      YMAGG=XREAL*XREAL+XIMAG*XIMAG                                     PSWITS    465
      IF(YMAGG.GE.1.0E-6)THEN                                           PSWITS    466
      XREAL=XREAL/YMAGG                                                 PSWITS    467
      XIMAG=XIMAG/YMAGG                                                 PSWITS    468
      ELSE                                                              PSWITS    469
      XREAL=0.0                                                         PSWITS    470
      XIMAG=0.0                                                         PSWITS    471
      ENDIF                                                             PSWITS    472
      WRITE(IUY,2220) ITYP,NLFI,INAME(I1-2),INAME(I1-1),INAME(I1)       PSWITS    473
     1,NLFJ,INAME(I2-2),INAME(I2-1),INAME(I2),ICKT,ISCKT,XREAL          PSWITS    474
     2,XIMAG,VMG,VPHS                                                   PSWITS    475
C                                                                       PSWITS    476
      GOTO 240                                                          PSWITS    477
C                                                                       PSWITS    478
 880  CONTINUE                                                          PSWITS    479
C                                                                       PSWITS    480
C   PRINTING THE RGC, FGC CARD                                          PSWITS    481
C                                                                       PSWITS    482
      IF(ITYP.EQ.ISOC(21))THEN                                          PSWITS    483
      WRITE(IUY,2430) ITYP,NLFI,INAME(I1-2),INAME(I1-1),INAME(I1)       PSWITS    484
     1,NLFJ,INAME(I2-2),INAME(I2-1),INAME(I2),ICKT,ISCKT                PSWITS    485
      ELSE                                                              PSWITS    486
      WRITE(IUY,2440) ITYP,NLFI,INAME(I1-2),INAME(I1-1),INAME(I1)       PSWITS    487
     1,NLFJ,INAME(I2-2),INAME(I2-1),INAME(I2),ICKT,ISCKT                PSWITS    488
      ENDIF                                                             PSWITS    489
C                                                                       PSWITS    490
      GOTO 240                                                          PSWITS    491
C                                                                       PSWITS    492
 890  CONTINUE                                                          PSWITS    493
C                                                                       PSWITS    494
C   PRINT 6 ITEMS                                                       PSWITS    495
C                                                                       PSWITS    496
      YMAGG=XREAL*XREAL+XIMAG*XIMAG                                     PSWITS    497
      IF(YMAGG.GE.1.0E-6)THEN                                           PSWITS    498
      XREAL=XREAL/YMAGG                                                 PSWITS    499
      XIMAG=XIMAG/YMAGG                                                 PSWITS    500
      ENDIF                                                             PSWITS    501
      WRITE(IUY,2220) ITYP,NLFI,INAME(I1-2),INAME(I1-1),INAME(I1)       PSWITS    502
     1,NLFJ,INAME(I2-2),INAME(I2-1),INAME(I2),ICKT,ISCKT,XREAL          PSWITS    503
     2,XIMAG,VMG,VPHS,VMG1,VPHS1                                        PSWITS    504
C                                                                       PSWITS    505
      GOTO 240                                                          PSWITS    506
C                                                                       PSWITS    507
C                                                                       PSWITS    508
 1000  CONTINUE                                                         PSWITS    509
C                                                                       PSWITS    510
C   RE-READ END CARD                                                    PSWITS    511
C                                                                       PSWITS    512
      BACKSPACE ISWF                                                    PSWITS    513
      READ (ISWF,2180) ITYP,IFAULT,IZV,LDUMP                            PSWITS    514
C      ISIMP=0                                                          PSWITS    515
      JFAULT=0                                                          PSWITS    516
      JZV=0                                                             PSWITS    517
      IF(IFAULT)1010,1030,1020                                          PSWITS    518
 1010  CONTINUE                                                         PSWITS    519
      KK=IABS(IFAULT)                                                   PSWITS    520
      JFAULT=NLAD(KK)                                                   PSWITS    521
      IFAULT=NPAD(KK)                                                   PSWITS    522
      GOTO 1030                                                         PSWITS    523
 1020  CONTINUE                                                         PSWITS    524
      JFAULT=NOLD(IFAULT)                                               PSWITS    525
 1030  IF(IZV)1040,1060,1050                                            PSWITS    526
 1040  CONTINUE                                                         PSWITS    527
      KK=IABS(IZV)                                                      PSWITS    528
      JZV=NLAD(KK)                                                      PSWITS    529
      IZV=NPAD(KK)                                                      PSWITS    530
      GOTO 1060                                                         PSWITS    531
 1050  CONTINUE                                                         PSWITS    532
      JZV=NOLD(IZV)                                                     PSWITS    533
 1060  CONTINUE                                                         PSWITS    534
      READ(IBLANK,2000) JFSTN1,JFSTN2,JFSTN3                            PSWITS    535
      READ(IBLANK,2000) IZSTN1,IZSTN2,IZSTN3                            PSWITS    536
      IF(IFAULT.NE.0)THEN                                               PSWITS    537
      LK=IFAULT*3                                                       PSWITS    538
      JFSTN1=INAME(LK-2)                                                PSWITS    539
      JFSTN2=INAME(LK-1)                                                PSWITS    540
      JFSTN3=INAME(LK)                                                  PSWITS    541
      ENDIF                                                             PSWITS    542
      IF(IZV.NE.0)THEN                                                  PSWITS    543
      IZV3=IZV*3                                                        PSWITS    544
      IZSTN1=INAME(IZV3-2)                                              PSWITS    545
      IZSTN2=INAME(IZV3-1)                                              PSWITS    546
      IZSTN3=INAME(IZV3)                                                PSWITS    547
      ENDIF                                                             PSWITS    548
      WRITE(IUY,2380)JFAULT,JFSTN1,JFSTN2,JFSTN3,JZV,IZSTN1,IZSTN2      PSWITS    549
     & ,IZSTN3                                                          PSWITS    550
C     1,LIDUMP                                                          PSWITS    551
      READ (ISWF,2000) ITYP                                             PSWITS    552
      IF(TC.LT.TL)GOTO 200                                              PSWITS    553
      WRITE(IUY,2390)                                                   PSWITS    554
      RETURN                                                            PSWITS    555
C                                                                       PSWITS    556
 2000 FORMAT (20A4)                                                     PSWITS    557
 2010 FORMAT (1H1,1X,'LOADFLOW ',I10 ,2X,'CASE#',I5,2X,20A4,1X,'DATE '  PSWITS    558
     1,2A4,A1,/,41X,20A4)                                               PSWITS    559
 2020 FORMAT (/,31X,12('* * * '),/,31X,'* MAXIMUM SPEED DEVIATION TO '  PSWITS    560
     &,'TERMINATE STUDY  =',F8.4,1X,'IN PER UNIT',T102,'*'              PSWITS    561
     &,/,31X,'* INTENTED LENGTH OF SIMULATION TL ',11X,'=',F8.4         PSWITS    562
     &,' SECONDS',T102,'*',/,31X,'* NOMINAL TIME INTERVAL H '           PSWITS    563
     &,20X,'=',F8.4,'SECONDS',T102,'*',/,31X                            PSWITS    564
     &,'* NOMINAL DC SOLUTION DIVIDER IDC ',12X,'=',I3,T102,'*'         PSWITS    565
     &,/,31X,'* NOMINAL INDUCTION MOTOR SOLUTION DIVIDER IM ='          PSWITS    566
     &,I3,T102,'*',/,31X,12('* * * '))                                  PSWITS    567
 2030 FORMAT(3F10.5,6I5)                                                PSWITS    568
 2040 FORMAT(//,1X,65('- '),/,T11,'USER''S MODIFICATION')               PSWITS    569
 2050 FORMAT(//,T11,'FROM TIME ',F10.5,' SEC',5X,'TO',5X,               PSWITS    570
     * 'TIME ',F10.5,' SEC',10X,'TIME INTERVAL = ',1X,F10.5,            PSWITS    571
     * ' SEC')                                                          PSWITS    572
 2060 FORMAT(/,5X,'DC SOLUTION DIVIDER = ',I2,3X                        PSWITS    573
     &,'INDUCTION MOTOR SOLUTION DIVIDER : ',I2,3X                      PSWITS    574
     &,'INTEGRATION OPTION = ',I2)                                      PSWITS    575
 2070 FORMAT (2F10.5,6I5,20X,I5)                                        PSWITS    576
 2080 FORMAT (//,10X,'SWITCHING OF GENERATOR & CONTROL SYSTEM :-',/     PSWITS    577
     *,10X,40('-'),/,10X,'TYPE',4X                                      PSWITS    578
     &,'GENERATION',T34,'CCT#',T43,'DESCRIPTION',T78,'CHANGES',/)       PSWITS    579
 2090 FORMAT(//,10X,'SWITCHING OF INDUCTION MOTOR :-',/,10X,28('-')     PSWITS    580
     &,/,10X,'TYPE',1X,'BUS#   BUS NAME',T43,'DESCRIPTION',/)           PSWITS    581
 2100 FORMAT(//,10X,'SWITCHING OF DC LINK :-',/,10X,21('-')             PSWITS    582
     &,/,T10,'TYPE LINK#  RECTIFIER BUS',T42,'INVERTER BUS'             PSWITS    583
     &,T61,'DESCRIPTION',T84,'CHANGES',/)                               PSWITS    584
 2110 FORMAT (//,10X,'SWITCHING OF NON-LINEAR LOAD :-',/,10X,28('-')    PSWITS    585
     1,/,10X,'TYPE BUS#   BUS NAME',T43,'DESCRIPTION',T78,'CHANGES',/)  PSWITS    586
 2120 FORMAT (//,10X,'CHANGES OF NETWORK SOLUTION PARAMETERS :-'        PSWITS    587
     &,/,10X,39('-'),/,10X,'TYPE',T43,'DESCRIPTION',T85,'CHANGES',/)    PSWITS    588
 2130 FORMAT (//,10X,'SWITCHING OF NETWORK :-',/,10X,21('-'),/,10X      PSWITS    589
     1,'TYPE',2X,'FROM',15X,'TO',14X,'CID',2X,'SID',4X,' R'             PSWITS    590
     &,4X,' X',6X,'BCHRG/ONR',5X,'PHSIFT',/)                            PSWITS    591
 2140 FORMAT(10X,A3,3X,I2,3X,I5,3A4,2X,I5,1X,3A4                        PSWITS    592
     1,T61,'SETTING NEW CDES',T84,'CDES  = ',F10.5)                     PSWITS    593
 2150 FORMAT(10X,A3,3X,I2,3X,I5,3A4,2X,I5,1X,3A4                        PSWITS    594
     1,T61,'SETTING NEW PDC,QDC',T84,'% IDCPR = ',F10.5                 PSWITS    595
     2,'  % IDCQR = ',F10.5/T84,'IDCPI = ',F10.5,'  % IDCQI = ',F10.5)  PSWITS    596
 2160 FORMAT(10X,A3,3X,I2,3X,I5,3A4,2X,I5,1X,3A4                        PSWITS    597
     1,T61,'RECOVERY TIME IN SEC', T84,'ATIME = ',F10.5)                PSWITS    598
 2170 FORMAT(10X,A3,3X,I2,3X,I5,3A4,2X,I5,1X,3A4,T61,'REMOVING DC LINK')PSWITS    599
 2180 FORMAT (A3,5I5)                                                   PSWITS    600
 2190 FORMAT(T11,A3,3X,I5,1X,3A4,T43,'INDUCTION MOTOR REMOVAL')         PSWITS    601
 2200 FORMAT(T11,A3,3X,I5,1X,3A4,T43,'INDUCTION MOTOR RESTARTING')      PSWITS    602
 2210 FORMAT (10X,A3,1X,I5,1X,3A4,10X,I5,1X,3A4,2F10.5,4(2X,F10.5))     PSWITS    603
 2215 FORMAT (10X,A3,1X,I5,1X,3A4,28X,2F10.5)                           PSWITS    604
 2220 FORMAT (10X,A3,1X,I5,1X,3A4,I5,1X,3A4,2(1X,A2) ,6(2X,F10.5))      PSWITS    605
 2225 FORMAT (10X,A3,1X,I5,1X,3A4,I5,1X,3A4,2(1X,A2) ,3(2X,F10.5),/,    PSWITS    606
     &        10X,'LINE WILL RECLOSE ' ,F10.5,' SEC. AFTER LINE BEING ' PSWITS    607
     &        ,'DISCONNECTED' )                                         PSWITS    608
 2226 FORMAT (10X,A3,1X,I5,1X,3A4,I5,1X,3A4,2(1X,A2) ,6(2X,F10.5),/,    PSWITS    609
     &        10X,'LINE WILL RECLOSE ' ,F10.5,' SEC. AFTER LINE BEING ' PSWITS    610
     &        ,'DISCONNECTED' )                                         PSWITS    611
 2230 FORMAT (A3,4I5,6F10.5)                                            PSWITS    612
 2231 FORMAT (A3,1X,4I5)                                                PSWITS    613
 2235 FORMAT (A3,1X,2I5,4F10.5)                                         PSWITS    614
 2240 FORMAT (A3,1X,2I5,3X,A2,6F10.5)                                   PSWITS    615
 2250 FORMAT(T11,A3,3X,I5,1X,3A4,2X,A2,T43,'GOVERNOR REFERENCE CHANGE'  PSWITS    616
     1,T78,'DELTA XLD = ',F10.5)                                        PSWITS    617
 2260 FORMAT(T11,A3,3X,I5,1X,3A4,2X,A2,T43,'TMECH CHANGE'               PSWITS    618
     1,T78,'DELTA TMECH= ',F10.3,' MW')                                 PSWITS    619
 2270 FORMAT(T11,A3,3X,I5,1X,3A4,2X,A2,T43,'AVR VOLTAGE REFERENCE'      PSWITS    620
     1,' CHANGE',T78,'DELTA VR  = ',F10.5)                              PSWITS    621
 2280 FORMAT(T11,A3,3X,I5,1X,3A4,2X,I1,T43,'GENERATOR FIELD DISCHARGED' PSWITS    622
     1,T78,'RF FACTOR = ',F10.5)                                        PSWITS    623
 2290 FORMAT(T11,A3,3X,I5,1X,3A4,2X,A2,T43,'STABILIZER REMOVAL')        PSWITS    624
 2300 FORMAT(T11,A3,3X,I5,1X,3A4,2X,A2,T43,'FIELD VOLTAGE CHANGE'       PSWITS    625
     1,T78,'DELTA EFD = ',F10.5)                                        PSWITS    626
 2310 FORMAT(T11,A3,3X,I5,1X,3A4,2X,A2,T43,'GENERATOR REJECTION')       PSWITS    627
 2320 FORMAT(T11,A3,3X,I5,1X,3A4,2X,A2,T43,'MODIFY GENERATION'          PSWITS    628
     1,T78,'FACTOR = ',F10.5)                                           PSWITS    629
 2330 FORMAT(10X,A3,2X,I5,1X,3A4,T43,'LOAD REPRESENTATION CHANGE'       PSWITS    630
     1,T78,'A = ',F10.5,'  B = ',F10.5                                  PSWITS    631
     &,/,T78,'KP= ',F10.5,'  KQ= ',F10.5)                               PSWITS    632
 2340 FORMAT(T11,A3,3X,2I5,1X,3A4,T43,'LOAD SHEDDING (IN PERCENTAGE     PSWITS    633
     1)',T78,'P = ',F10.5,'  Q = ',F10.5)                               PSWITS    634
 2345 FORMAT(T11,A3,3X,2I5,1X,3A4,T43,'RESTORE LOAD  (IN PERCENTAGE     PSWITS    635
     1)',T78,'P = ',F10.5,'  Q = ',F10.5)                               PSWITS    636
 2350 FORMAT(T11,A3,T43,'THRESHOLD VOLTAGE CHANGE'                      PSWITS    637
     1,T78,'VTHL= ',F10.5,'  VTHH= ',F10.5)                             PSWITS    638
 2360 FORMAT(T11,A3,T43,'PERIOD OF NON-LINEAR LOAD BUS ITERATION CHANGE'PSWITS    639
     1,T85,'PNLI =',F10.5)                                              PSWITS    640
 2365 FORMAT(T11,A3,T43,'ADDITION OF SYSTEM FOR DAMPING LOCAL MODE'     PSWITS    641
     1,T85,'DAMPING =',F10.5)                                           PSWITS    642
 2370 FORMAT(T11,A3,T43,'LF VOLTAGE CONVERGENCE TOLERANCE CHANGE'       PSWITS    643
     1,T85,'MAX ITER= ',I5,'  ERTOL= ',F10.5)                           PSWITS    644
 2380 FORMAT(//,10X,'FAULT AT BUS# ',I5,1X,3A4,5X,                      PSWITS    645
     * 'ZERO POTENTIAL BUS# ',I5,1X,3A4)                                PSWITS    646
C     * 'ZERO POTENTIAL BUS# ',I5,1X,3A4,5X,'LITTER= ',I5)              PSWITS    647
 2390 FORMAT(//,1X,65('- '))                                            PSWITS    648
 2400 FORMAT(A3,1X,2I5,1X,2A2,6F10.5,2I5,F10.5)                         PSWITS    649
 2420 FORMAT(/,5X,'PRINT STEP = ',I3,'   PLOT STEP =',I3                PSWITS    650
     *,'   REPORT STEP =',I4, '   LOAD BUS REDUCTION FLAG =',I3)        PSWITS    651
 2430 FORMAT (10X,A3,1X,I5,1X,3A4,I5,1X,3A4,2(1X,A2),'  REINSERTING FLASPSWITS    652
     &HED CAPACITOR')                                                   PSWITS    653
 2440 FORMAT (10X,A3,1X,I5,1X,3A4,I5,1X,3A4,2(1X,A2),'  FLASHING THE SERPSWITS    654
     &IES CAPACITOR')                                                   PSWITS    655
 2450 FORMAT(T11,A3,3X,I5,1X,3A4,2X,A2,T43,'TRANSIENT EXECITATION BOOSTIPSWITS    656
     &NG')                                                              PSWITS    657
C                                                                       PSWITS    658
      END                                                               PSWITS    659
